curl --request GET \
--url https://api.ngrok.ai/access-key-configurations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ngrok.ai/access-key-configurations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ngrok.ai/access-key-configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"uri": "<string>"
},
"lastUpdatedBy": {
"id": "<string>",
"uri": "<string>"
},
"description": "<string>",
"metadata": "<string>",
"access": {
"providers": {
"allow": [
"<string>"
]
},
"models": {
"allow": [
"<string>"
]
}
},
"router": {
"rules": [
{
"steps": [
{
"type": "user",
"keys": [
{
"id": "<string>",
"name": "<string>",
"keyRedacted": "<string>"
}
],
"keySelectionStrategy": "ordered"
}
],
"provider": "<string>",
"model": "<string>"
}
]
}
}{
"statusCode": 123,
"msg": "<string>",
"details": {},
"errorCode": "<string>"
}Get an AI Gateway access key configuration
Get a single AI Gateway access key configuration by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for an AI Gateway access key configuration.
Response
The AI Gateway access key configuration.
Unique identifier for this configuration.
URI of this AI Gateway Access Key Configuration API resource.
User-defined label for this configuration.
Timestamp when the configuration was created.
Timestamp when the configuration was last updated.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Human-readable description.
Arbitrary user-defined metadata.
Scope controlling which providers and models are reachable. Omit the entire object for allow-all. Each dimension is independently optional.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?